package ctbrec.recorder.postprocessing;

import java.io.IOException;
import java.io.Serializable;
import java.util.Map;

import ctbrec.Recording;

public interface PostProcessor extends Serializable {
    String getName();

    void postprocess(Recording rec) throws IOException, InterruptedException;

    Map<String, String> getConfig();
    void setConfig(Map<String, String> conf);
}
